//
// CutFlowLine.cpp
//
//
//
#include "single_top_analysis/CutFlowLine.hpp"

#include <iostream>
#include <iomanip>

using namespace std;

//
// CutFlowLine
//
//  Default constructor
//
CutFlowLine::CutFlowLine(void)
  : _exposedCount(0), _exposedYield(0.), _passCount(0), _passYield(0.)
  , TNamed ("NONE","")
{
}

// Normal constructor
CutFlowLine::CutFlowLine(const TString& name, const TString& title)
  : _exposedCount(0), _exposedYield(0.), _passCount(0), _passYield(0.)
  , TNamed (name.Data(), title.Data())
{
}

//
// Print
//
void CutFlowLine::Print (Option_t *option) const
{
  cout<<"  " << setw(14) << GetName() << " | ";
	cout<<setw(7) <<_exposedCount;
	cout<<" | "<<setw(7) <<_exposedYield;
	cout<<" | ";
	cout<<setw(7) <<_passCount;
	cout<<" | "<<setw(7) <<_passYield;
	//cout<<" | "<<GetTitle()<<endl;
	cout<<" |"<<endl;
}

